Subject: Re: [PATCH] netfilter: x_tables: fix missing unlock if table init fails

From: Omar Sandoval <[email-masked]>
Date: Fri, 12 Oct 2018 16:35:17 -0700

On Fri, Oct 12, 2018 at 04:16:53PM -0700, Omar Sandoval wrote:
> From: Omar Sandoval <[email-masked]>
> 
> Commit 7dde07e9c536 ("netfilter: x_tables: unlock on error in
> xt_find_table_lock()") fixed one missing unlock in xt_find_table_lock(),
> but we're also missing one if t->table_init() fails.
> 
> Fixes: b9e69e127397 ("netfilter: xtables: don't hook tables by default")
> Signed-off-by: Omar Sandoval <[email-masked]>

Whoops, please ignore this, I missed the unlock right before the
table_init call...